AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create order using billing & product code

Create an order using the biller code and the product code

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/billers/{biller_code}/products/{product_code}/orders

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

biller_code string required
This is the biller's code

product_code string required
This is the id of the product

FILL IN ALL REQUIRED FIELDS

customer object required
This is an object with the name, email and phone number of the customer.

FILL IN ALL REQUIRED FIELDS

name string required
Name of the customer

email string required
This is the customer's email

phone_number string required
This is the customer's phone number

fields array of objects required
This is an array of the id, quatity and value of the order

FILL IN ALL REQUIRED FIELDS

id string
This is the order id

quantity string
This is the quantity of the order

value string
This is the value of the order

country string
This is the country attached to the service being bought e.g. if Service is Airtime and country is NG it means you are buying airtime in Nigeria

amount string
This is the amount for the service you would like to order.

reference string
This is a unique reference passed by the developer to identify transactions on their end.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

amount string

fee string

tx_ref string

order_reference string

created_at string

total_amount string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys